## python-reportlab 3.0

=== debian/changelog ===
python-reportlab (3.0-1build1) trusty; urgency=medium

  * No-change rebuild to drop Python 3.3 support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Mar 2014 15:28:39 +0000

python-reportlab (3.0-1) unstable; urgency=medium

  * reportlab 3.0 release.

 -- Matthias Klose <doko@debian.org>  Tue, 18 Feb 2014 14:46:38 +0100

python-reportlab (3.0~b1-1) unstable; urgency=medium

  * reportlab 3.0 beta1 release.
  * Let the -reportlab packages depend on the -reportlab-accel packages.
    Closes: #738404, #738418, #738586.

 -- Matthias Klose <doko@debian.org>  Wed, 12 Feb 2014 20:23:27 +0100

python-reportlab (3.0~a1-1) unstable; urgency=medium

  * reportlab 3.0 alpha1 release.
  * Build python3 packages.

 -- Matthias Klose <doko@debian.org>  Wed, 05 Feb 2014 10:00:02 +0100

python-reportlab (2.7-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 23 Nov 2013 09:42:48 +0100

python-reportlab (2.6-1) experimental; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 31 Jan 2013 21:08:28 +0100

python-reportlab (2.5-1.1) unstable; urgency=low

  * Non-maintainer upload to unstable (with maintainer's approval)
  * Add python-sphinx to Build-Depends-Indep (for docs)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 16 Apr 2011 13:00:22 +0200

python-reportlab (2.5-1) experimental; urgency=low

  * New upstream version.
  * Add installed fonts to reportlab's font search paths. Closes: #603413.
  * Build the docs again. Closes: #571637.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Dec 2010 12:45:44 +0100

python-reportlab (2.4-4) unstable; urgency=low

  * Don't include the font description files. Closes: #595072.

 -- Matthias Klose <doko@debian.org>  Fri, 17 Sep 2010 12:35:59 +0200

python-reportlab (2.4-3) unstable; urgency=low

  * Don't try to download font files during the build. Closes: #593612.
  * Fix two bugs running the examples (Yaroslav Halchenko). Closes: #534578.

 -- Matthias Klose <doko@debian.org>  Mon, 23 Aug 2010 11:54:20 +0200

python-reportlab (2.4-2) unstable; urgency=low

  * Build using dh_python2 instead of dh_pycentral, bump python build
    dependency. Closes: #551691.
  * Update watch files. Closes: #487307.
  * Raise ValueError's instead of string exceptions. Closes: #585326.

 -- Matthias Klose <doko@debian.org>  Mon, 26 Jul 2010 12:05:54 +0200

python-reportlab (2.4-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 16 Feb 2010 23:32:55 +0100

python-reportlab (2.3-1) unstable; urgency=low

  * New upstream version. Closes: #501276.
    - Fixes: PDFImage.getImageData() uses "sys" without importing it.
      Closes: #241735.
    - Fixes: CMAP file for japnese encodings. Closes: #292964.
    - Fixes layouting crash. Closes: #495443.
    - Uses free translation of the Odyssey text. Closes: #498551.
  * Examples and demos are in the -doc package. Closes: #279377.
  * Import sgmlop unqulified. Closes: #484025.
  * python-renderpm packaged and recommended by python-reportlab.
    Closes: #279376, #228054, #228056.
  * Use python.mk macros for packaging. Closes: #547851.

 -- Matthias Klose <doko@debian.org>  Sun, 27 Sep 2009 10:27:13 +0200

python-reportlab (2.2-2) unstable; urgency=low

  * Adjust build dependencies for binary arch packages. Closes: #502636
  * Require python 2.4 or newer. Closes: #502133.

 -- Matthias Klose <doko@debian.org>  Sun, 19 Oct 2008 23:16:31 +0200

python-reportlab (2.2-1) unstable; urgency=low

  * New upstream version.
  * Build the reportlab-accel and renderpm extensions from this source.

 -- Matthias Klose <doko@debian.org>  Tue, 23 Sep 2008 17:58:12 +0200

python-reportlab (2.1dfsg-2) unstable; urgency=low

  * Don't depend on python-xml; a slower parser is included in the source.
    Closes: #468614.

 -- Matthias Klose <doko@debian.org>  Sun, 27 Apr 2008 18:02:35 +0200

python-reportlab (2.1dfsg-1) unstable; urgency=low

  * New upstream version.
    - Doesn't contain the RML_UserGuide.pdf. Closes: #349075.
    - reportlab.graphics.barcode module installed. Closes: #387014.
    - Avoid warning with reserved keyword. Closes: #435742.
    - BaseDocTemplate: Set author, title, subject and keywords on its
      canvas. Closes: #349747.
  * Depend on ttf-dustin, ttf-bitstream-vera, do not include copies of
    the fonts. Closes: #457923.

 -- Matthias Klose <doko@debian.org>  Mon, 28 Jan 2008 21:03:56 +0100

python-reportlab (2.0dfsg-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 16 Jul 2006 15:31:03 +0200

python-reportlab (1.20debian-7) unstable; urgency=low

  * python-reportlab: Add conflict/replaces to the versioned packages.
    Closes: #374222.

 -- Matthias Klose <doko@debian.org>  Sun, 18 Jun 2006 02:12:33 +0000

python-reportlab (1.20debian-6) unstable; urgency=low

  * Switch maintainer and uploader.
  * Convert to updated python policy, using python-central (the
    extension reportlab-accel goes into the same direcory).
    Closes: #373350.

 -- Matthias Klose <doko@debian.org>  Fri, 16 Jun 2006 23:31:54 +0200

python-reportlab (1.20debian-5) unstable; urgency=low

  * Imported python-reportlab package into debian python-modules svn repository
  * debian/control: added Debian Python Modules Team to Uploaders

 -- Igor Stroh <jenner@debian.org>  Sun, 16 Apr 2006 13:19:23 +0200

python-reportlab (1.20debian-4) unstable; urgency=low

  * Added Type1 and TT font paths to reportlab/rl_config, thanks
    to Nicolas Chauvat and Samuele Giovanni Tonon (closes: #174639)

 -- Igor Stroh <jenner@debian.org>  Wed, 12 Apr 2006 22:32:32 +0200

python-reportlab (1.20debian-3) unstable; urgency=low

  * Drop python2.1 and python2.2 packages.
  * README.Debian: point to the -doc package (closes: #258404).
  * Fix drawing of stacked 3D bars (Felipe Almeida Lessa). Closes: #349831).

 -- Matthias Klose <doko@debian.org>  Thu,  2 Feb 2006 20:29:54 +0000


