=== debian/control ===
Source: python-reportlab
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Igor Stroh <jenner@debian.org>, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Standards-Version: 3.9.5
XS-Python-Version: >= 2.4
Build-Depends: debhelper (>= 5.0.37.1),
  python-all-dev (>= 2.6.5-9~), python-all-dbg,
  python3-all-dev (>= 3.3.4), python3-all-dbg,
  libart-2.0-dev, libfreetype6-dev, sharutils
Build-Depends-Indep: python-pil, python-sphinx
Build-Conflicts: python-setuptools, python3-setuptools

Package: python-reportlab
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-reportlab-accel (>= ${source:Version})
Recommends: python-renderpm, python-pil
Suggests: pdf-viewer, python-egenix-mxtexttools (>= 2.0.6-3.1), python-reportlab-doc
XB-Python-Version: ${python:Versions}
Description: ReportLab library to create PDF documents using Python
 ReportLab is a library that lets you directly create documents in
 Adobe's Portable Document Format (PDF) using the Python programming language.
 .
 ReportLab library creates PDF based on graphics commands without
 intervening steps. It's therefore extremely fast, and flexible (since
 you're using a full-blown programming language).
 .
 Sample use cases are:
   * Dynamic PDF generation on the web
   * High-volume corporate reporting and database publishing
   * As embeddable print engine for other applications, including a 
     'report language' so that users can customize their own reports.
   * As 'build system' for complex documents with charts, tables and text 
     such as management accounts, statistical reports and scientific papers
   * from XML to PDF in one step

Package: python-reportlab-accel
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: C coded extension accelerator for the ReportLab Toolkit
 A C coded extension accelerator for the ReportLab Toolkit.

Package: python-reportlab-accel-dbg
Priority: extra
Architecture: any
Section: debug
Depends: python-reportlab-accel (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
Description: C coded extension accelerator for the ReportLab Toolkit
 A C coded extension accelerator for the ReportLab Toolkit.

Package: python-renderpm
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${misc:Depends}
Suggests: python-renderpm-dbg
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: python low level render interface
 This package contains the python low level render interface,
 used in the ReportLab library.

Package: python-renderpm-dbg
Priority: extra
Architecture: any
Section: debug
Depends: python-renderpm (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
Description: python low level render interface (debug extension)
 This package contains the python low level render interface,
 used in the ReportLab library.
 .
 This package contains the extension built for the python debug interpreter.

Package: python3-reportlab
Architecture: all
Depends: python3-reportlab (>= ${source:Version}), ${python3:Depends}, ${misc:Depends}
Recommends: python3-renderpm, python3-pil
Suggests: pdf-viewer, python3-egenix-mxtexttools (>= 2.0.6-3.1), python-reportlab-doc
Description: ReportLab library to create PDF documents using Python3
 ReportLab is a library that lets you directly create documents in
 Adobe's Portable Document Format (PDF) using the Python programming language.
 .
 ReportLab library creates PDF based on graphics commands without
 intervening steps. It's therefore extremely fast, and flexible (since
 you're using a full-blown programming language).
 .
 Sample use cases are:
   * Dynamic PDF generation on the web
   * High-volume corporate reporting and database publishing
   * As embeddable print engine for other applications, including a 
     'report language' so that users can customize their own reports.
   * As 'build system' for complex documents with charts, tables and text 
     such as management accounts, statistical reports and scientific papers
   * from XML to PDF in one step

Package: python3-reportlab-accel
Architecture: any
Depends: python3-reportlab (>= ${source:Version}), ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description: C coded extension accelerator for the ReportLab Toolkit
 A C coded extension accelerator for the ReportLab Toolkit.

Package: python3-reportlab-accel-dbg
Priority: extra
Architecture: any
Section: debug
Depends: python3-reportlab-accel (= ${binary:Version}), python3-dbg, ${shlibs:Depends}, ${misc:Depends}
Description: C coded extension accelerator for the ReportLab Toolkit
 A C coded extension accelerator for the ReportLab Toolkit.

Package: python3-renderpm
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${misc:Depends}
Suggests: python3-renderpm-dbg
Provides: ${python3:Provides}
Description: python low level render interface
 This package contains the python low level render interface,
 used in the ReportLab library.

Package: python3-renderpm-dbg
Priority: extra
Architecture: any
Section: debug
Depends: python3-renderpm (= ${binary:Version}), python3-dbg, ${shlibs:Depends}, ${misc:Depends}
Description: python low level render interface (debug extension)
 This package contains the python low level render interface,
 used in the ReportLab library.
 .
 This package contains the extension built for the python debug interpreter.

Package: python-reportlab-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: python-reportlab
Description: Documentation for the ReportLab Python library (PDF format)
 ReportLab is a library that lets you directly create documents in
 Adobe's Portable Document Format (PDF) using the Python programming language.
 .
 This package contains the documentation for ReportLab in PDF format.
