=== debian/watch ===
version=3
opts="uversionmangle=s/_/./g,dversionmangle=s/dfsg//" \
  http://www.reportlab.org/ftp/ReportLab_([\d_]+)\.tar.gz
