## python-reportlab 3.1.8

=== debian/changelog ===
python-reportlab (3.1.8-3+deb8u2) jessie-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * CVE-2019-17626: don't call eval() on colors as the input may be untrusted
    and that could lead to arbitrary code execution.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 20 Feb 2020 12:23:47 +0100

python-reportlab (3.1.8-3+deb8u1) jessie; urgency=medium

  * Non-maintainer upload.
  * Add handle-png-with-transparency.patch to avoid failing when reading
    a PNG with transparency. Closes: #785023
    This fixes a regression compared to the version in Wheezy.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 03 Jun 2015 21:04:12 +0200

python-reportlab (3.1.8-3) unstable; urgency=medium

  * Build-depend on dh-python.
  * Make architecture dependent package M-A: same.

 -- Matthias Klose <doko@debian.org>  Mon, 18 Aug 2014 16:44:06 +0200

python-reportlab (3.1.8-2) unstable; urgency=medium

  * Let renderPM find (replacements for) standard PostScript fonts
    (Jakub Wilk). Closes: #745985.
  * python{,3}-renderpm: Recommend gsfonts.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Aug 2014 23:31:24 +0200

python-reportlab (3.1.8-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Aug 2014 23:16:46 +0200
