=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: python
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
-Uploaders: Igor Stroh <jenner@debian.org>, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Standards-Version: 3.9.5
 XS-Python-Version: >= 2.4
-Build-Depends: debhelper (>= 5.0.37.1),
+Build-Depends: debhelper (>= 5.0.37.1), dh-python,
+  python2.7 (>= 2.7.8-4),
   python-all-dev (>= 2.6.5-9~), python-all-dbg,
   python3-all-dev (>= 3.3.4), python3-all-dbg,
   libart-2.0-dev, libfreetype6-dev, sharutils
@@ -14,9 +15,12 @@
 
 Package: python-reportlab
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-reportlab-accel (>= ${source:Version})
+Depends: ${python:Depends}, ${misc:Depends},
+  python-reportlab-accel (>= ${source:Version})
 Recommends: python-renderpm, python-pil
-Suggests: pdf-viewer, python-egenix-mxtexttools (>= 2.0.6-3.1), python-reportlab-doc
+Suggests: pdf-viewer,
+  python-egenix-mxtexttools (>= 2.0.6-3.1),
+  python-reportlab-doc
 XB-Python-Version: ${python:Versions}
 Description: ReportLab library to create PDF documents using Python
  ReportLab is a library that lets you directly create documents in
@@ -37,6 +41,7 @@
 
 Package: python-reportlab-accel
 Architecture: any
+Multi-Arch: same
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
@@ -46,14 +51,18 @@
 Package: python-reportlab-accel-dbg
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Section: debug
-Depends: python-reportlab-accel (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
+Depends: python-reportlab-accel (= ${binary:Version}),
+  python-dbg, ${shlibs:Depends}, ${misc:Depends}
 Description: C coded extension accelerator for the ReportLab Toolkit
  A C coded extension accelerator for the ReportLab Toolkit.
 
 Package: python-renderpm
 Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${misc:Depends}
+Multi-Arch: same
+Depends: ${python:Depends}, ${shlibs:Depends},
+  ${misc:Depends}, gsfonts
 Suggests: python-renderpm-dbg
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
@@ -64,8 +73,11 @@
 Package: python-renderpm-dbg
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Section: debug
-Depends: python-renderpm (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
+Depends: python-renderpm (= ${binary:Version}),
+  python-dbg,
+  ${shlibs:Depends}, ${misc:Depends}
 Description: python low level render interface (debug extension)
  This package contains the python low level render interface,
  used in the ReportLab library.
@@ -74,7 +86,8 @@
 
 Package: python3-reportlab
 Architecture: all
-Depends: python3-reportlab (>= ${source:Version}), ${python3:Depends}, ${misc:Depends}
+Depends: python3-reportlab-accel (>= ${source:Version}),
+  ${python3:Depends}, ${misc:Depends}
 Recommends: python3-renderpm, python3-pil
 Suggests: pdf-viewer, python3-egenix-mxtexttools (>= 2.0.6-3.1), python-reportlab-doc
 Description: ReportLab library to create PDF documents using Python3
@@ -96,7 +109,8 @@
 
 Package: python3-reportlab-accel
 Architecture: any
-Depends: python3-reportlab (>= ${source:Version}), ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python3:Provides}
 Description: C coded extension accelerator for the ReportLab Toolkit
  A C coded extension accelerator for the ReportLab Toolkit.
@@ -104,14 +118,18 @@
 Package: python3-reportlab-accel-dbg
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Section: debug
-Depends: python3-reportlab-accel (= ${binary:Version}), python3-dbg, ${shlibs:Depends}, ${misc:Depends}
+Depends: python3-reportlab-accel (= ${binary:Version}),
+  python3-dbg,
+  ${shlibs:Depends}, ${misc:Depends}
 Description: C coded extension accelerator for the ReportLab Toolkit
  A C coded extension accelerator for the ReportLab Toolkit.
 
 Package: python3-renderpm
 Architecture: any
-Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, ${misc:Depends}
+Multi-Arch: same
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, gsfonts
 Suggests: python3-renderpm-dbg
 Provides: ${python3:Provides}
 Description: python low level render interface
@@ -121,8 +139,10 @@
 Package: python3-renderpm-dbg
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Section: debug
-Depends: python3-renderpm (= ${binary:Version}), python3-dbg, ${shlibs:Depends}, ${misc:Depends}
+Depends: python3-renderpm (= ${binary:Version}),
+  python3-dbg, ${shlibs:Depends}, ${misc:Depends}
 Description: python low level render interface (debug extension)
  This package contains the python low level render interface,
  used in the ReportLab library.
