=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 XS-Python-Version: >= 2.4
 Build-Depends: debhelper (>= 5.0.37.1), dh-python,
   python2.7 (>= 2.7.8-4),
