## python-reportlab 3.2.0

=== debian/changelog ===
python-reportlab (3.2.0-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 23 Jul 2015 07:09:24 +0000

python-reportlab (3.2.0-1) unstable; urgency=medium

  * New upstream version.
    - Fix crash when getting transparency for some PNG images. Closes: #785023.

 -- Matthias Klose <doko@debian.org>  Thu, 04 Jun 2015 00:54:01 +0200
