=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: python-reportlab
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 XS-Python-Version: >= 2.4
 Build-Depends: debhelper (>= 5.0.37.1), dh-python,
   python2.7 (>= 2.7.8-4),
