=== debian/watch ===
version=3
http://pypi.debian.net/reportlab/reportlab-(.*)\.(?:tar\.gz|zip)
