## python-reportlab 3.4.0

=== debian/changelog ===
python-reportlab (3.4.0-3ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: remote code execution via crafted XML document
    - debian/patches/CVE-2019-17626.patch: safely parse color in
      src/reportlab/lib/colors.py. Thanks to Marek Kasik for the patch!
    - CVE-2019-17626

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 28 Jan 2020 08:52:54 -0500

python-reportlab (3.4.0-3build1) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sat, 05 Aug 2017 22:13:11 +1200

python-reportlab (3.4.0-3) unstable; urgency=medium

  * Fix dependencies, removing pip and setuptools.

 -- Matthias Klose <doko@debian.org>  Mon, 22 May 2017 12:33:21 -0700

python-reportlab (3.4.0-2) unstable; urgency=medium

  * Build docs using Python3.
  * python-reportlab-doc: Install basic.css. LP: #1692123.

 -- Matthias Klose <doko@debian.org>  Sat, 20 May 2017 10:17:37 -0700

python-reportlab (3.4.0-1) experimental; urgency=medium

  * New upstream version.
  * Bump standards and debhelper version.

 -- Matthias Klose <doko@debian.org>  Fri, 17 Mar 2017 12:12:13 +0100

python-reportlab (3.3.0-2) unstable; urgency=medium

  * Honour SOURCE_DATE_EPOCH environment variable. Closes: #828756.

 -- Matthias Klose <doko@debian.org>  Fri, 17 Mar 2017 12:12:13 +0100
