=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: python-reportlab
 Section: python
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 XS-Python-Version: >= 2.4
-Build-Depends: debhelper (>= 5.0.37.1), dh-python,
+Build-Depends: debhelper (>= 9), dh-python,
   python2.7 (>= 2.7.8-4),
   python-all-dev (>= 2.6.5-9~), python-all-dbg,
   python3-all-dev (>= 3.3.4), python3-all-dbg,
+  python-setuptools, python3-setuptools,
   libart-2.0-dev, libfreetype6-dev, sharutils
-Build-Depends-Indep: python-pil, python-sphinx
-Build-Conflicts: python-setuptools, python3-setuptools
+Build-Depends-Indep: python3-pil, python3-sphinx
 
 Package: python-reportlab
 Architecture: all
