=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 build-doc-stamp:
 	set -x; \
 	cd docs \
-	  && PYTHONPATH=$(wildcard $(CURDIR)/build/lib.*-*-$(VER)) python genAll.py
+	  && PYTHONPATH=$(wildcard $(CURDIR)/build/lib.*-*-$(VER3)) python3 genAll.py
 	$(MAKE) -C docs html PAPER=a4
 	touch $@
 
@@ -60,7 +60,7 @@
 install-prereq: build-stamp
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 
 install-python%: install-prereq
 	python$* setup.py install \
