=== debian/watch ===
version=3
opts=filenamemangle=s%.*/([^/#]+)#md5=\S+%$1% \
https://pypi.python.org/pypi/reportlab/ \
(?:|.*/)(?:python-reportlab|reportlab)(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|tar\.gz)#md5=\S+
