## python-reportlab 3.5.6

=== debian/changelog ===
python-reportlab (3.5.6-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 21 Aug 2018 10:27:40 +0200

python-reportlab (3.5.5-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 20 Aug 2018 15:43:48 +0200

python-reportlab (3.5.4-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Aug 2018 14:03:10 +0200

python-reportlab (3.5.2-1) unstable; urgency=medium

  * New upstream version, complete sources again.

 -- Matthias Klose <doko@debian.org>  Sat, 28 Jul 2018 09:49:54 +0200

python-reportlab (3.5.1-1) unstable; urgency=medium

  * New upstream version.
  * Re-add the src/rl_addons, docs, demos and tools directories from the
    upstream repository, not shipped in the upstream tarball anymore.
  * Fix lintian warnings.
  * Build renderPM using the internal libart sources. Closes: #885787.

 -- Matthias Klose <doko@debian.org>  Sat, 21 Jul 2018 16:24:04 +0200
