=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: python-reportlab
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Standards-Version: 3.9.8
-XS-Python-Version: >= 2.4
+Standards-Version: 4.2.0
 Build-Depends: debhelper (>= 9), dh-python,
-  python2.7 (>= 2.7.8-4),
-  python-all-dev (>= 2.6.5-9~), python-all-dbg,
-  python3-all-dev (>= 3.3.4), python3-all-dbg,
+  python2.7,
+  python-all-dev, python-all-dbg,
+  python3-all-dev, python3-all-dbg,
   python-setuptools, python3-setuptools,
-  libart-2.0-dev, libfreetype6-dev, sharutils
+#  libart-2.0-dev,
+  libfreetype6-dev, sharutils
 Build-Depends-Indep: python3-pil, python3-sphinx
+Homepage: https://www.reportlab.com/opensource/
 
 Package: python-reportlab
 Architecture: all
@@ -50,7 +50,6 @@
  A C coded extension accelerator for the ReportLab Toolkit.
 
 Package: python-reportlab-accel-dbg
-Priority: extra
 Architecture: any
 Multi-Arch: same
 Section: debug
@@ -72,7 +71,6 @@
  used in the ReportLab library.
 
 Package: python-renderpm-dbg
-Priority: extra
 Architecture: any
 Multi-Arch: same
 Section: debug
@@ -117,7 +115,6 @@
  A C coded extension accelerator for the ReportLab Toolkit.
 
 Package: python3-reportlab-accel-dbg
-Priority: extra
 Architecture: any
 Multi-Arch: same
 Section: debug
@@ -138,7 +135,6 @@
  used in the ReportLab library.
 
 Package: python3-renderpm-dbg
-Priority: extra
 Architecture: any
 Multi-Arch: same
 Section: debug
