## python-reportlab 3.5.13

=== debian/changelog ===
python-reportlab (3.5.13-1+deb10u2) buster-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * Fix CVE-2019-19450: code injection in paraparser.py allows code execution.
  * Fix CVE-2020-28463: Server-side Request Forgery (SSRF) via <img> tags.
    New settings ‘trustedHosts’ and ‘trustedSchemes’ are added to explicitely
    define an allowlist.

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 29 Sep 2023 18:13:41 +0200

python-reportlab (3.5.13-1+deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Address remote code execution in colors.py (CVE-2019-17626)
    (Closes: #942763)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 24 Apr 2020 22:29:45 +0200

python-reportlab (3.5.13-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Jan 2019 11:03:19 +0100

python-reportlab (3.5.12-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 11 Dec 2018 12:21:20 +0100

python-reportlab (3.5.11-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Nov 2018 11:32:52 +0100

python-reportlab (3.5.9-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 18 Oct 2018 12:29:12 +0200
