=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Build-Depends: debhelper (>= 9), dh-python,
   python2.7,
   python-all-dev, python-all-dbg,
@@ -149,6 +149,7 @@
 Package: python-reportlab-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Suggests: python-reportlab
 Description: Documentation for the ReportLab Python library (PDF format)
