## python-reportlab 3.5.18

=== debian/changelog ===
python-reportlab (3.5.18-1) unstable; urgency=medium

  * New upstream version.
    - more FrameBG changes vs BalancedColumns.
    - fix bb issues #176/#177.
    - more FrameBG fixes; added canvas cross method, frame static drawBoundary.
    - fix stroking for frame background in container.
    - add stroking for frame background.
    - added axes tickStrokeWidth etc etc.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Apr 2019 10:52:39 +0200
