## python-reportlab 3.5.23

=== debian/changelog ===
python-reportlab (3.5.23-1ubuntu0.1) eoan-security; urgency=medium

  * SECURITY UPDATE: remote code execution via crafted XML document
    - debian/patches/CVE-2019-17626.patch: safely parse color in
      src/reportlab/lib/colors.py. Thanks to Marek Kasik for the patch!
    - CVE-2019-17626

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 28 Jan 2020 08:52:20 -0500

python-reportlab (3.5.23-1) unstable; urgency=medium

  * New upstream version.
        * fix issues #174, #180, #181, #183, #184.
        * add wordSpace keyword to Canvas draw methods
        * Allow kewords in PDFResourceDictionary
        * Allow AcroForm to have SigFlags
        * Bug Fixes and tests

 -- Matthias Klose <doko@debian.org>  Fri, 28 Jun 2019 17:42:18 +0200

python-reportlab (3.5.21-1) unstable; urgency=medium

  * New upstream version.
    - Fix bug in legends.
    - Add extra table info in spanning error case.
    - Preliminary MultiCol implementation.
    - Fix missing xrange import.
    - Allow rgb to have fractions of 1 in css colors.
    - Fix bug with a tag href not having a scheme.
    - Allow LineChart/LinePlot area fills to differe from the stroke colour.
    - Add canvas setProducer method.

 -- Matthias Klose <doko@debian.org>  Wed, 08 May 2019 19:03:39 +0200
