=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-reportlab
 Section: python
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Standards-Version: 4.3.0
 Build-Depends: debhelper (>= 9), dh-python,
